Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conf
Class ConfigSaver

    java.lang.Object
      org.apache.cayenne.conf.ConfigSaver

    public class ConfigSaver

extends java.lang.Object

Class that does saving of Cayenne configuration.

Author:
  Andrei Adamchik

Field Summary
`protected ConfigSaverDelegate` | `delegate`

Constructor Summary
`ConfigSaver()` Constructor for ConfigSaver.
`ConfigSaver(ConfigSaverDelegate delegate)` Constructor for ConfigSaver.

Method Summary
`void` | `storeDataNode(java.io.PrintWriter out, DataSourceInfo info)` Stores DataSolurceInfo to the specified PrintWriter.
`protected void` | `storeDataView(java.io.PrintWriter pw, java.lang.String dataViewName)`
`protected void` | `storeDomain(java.io.PrintWriter pw, java.lang.String domainName)`
`void` | `storeDomains(java.io.PrintWriter pw)` Saves domains into the specified file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected ConfigSaverDelegate delegate

Constructor Detail

### ConfigSaver

    public ConfigSaver()

  Constructor for ConfigSaver.

### ConfigSaver

    public ConfigSaver(ConfigSaverDelegate delegate)

  Constructor for ConfigSaver.

Method Detail

### storeDomains

    public void storeDomains(java.io.PrintWriter pw)

  Saves domains into the specified file. Assumes that the maps have already been saved.

### storeDataView

    protected void storeDataView(java.io.PrintWriter pw,
                                 java.lang.String dataViewName)

### storeDomain

    protected void storeDomain(java.io.PrintWriter pw,
                               java.lang.String domainName)

### storeDataNode

    public void storeDataNode(java.io.PrintWriter out,
                              DataSourceInfo info)

  Stores DataSolurceInfo to the specified PrintWriter. `info` object may contain full or partial information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.